package com.ruoyi.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 t_return_goods
 * 
 * @author wms
 * @date 2022-08-25
 */
@TableName("t_return_goods")
public class TReturnGoods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 退货记录编号 */
    @TableId(value = "returnGoodsId", type = IdType.ASSIGN_UUID)
    private String returngoodsid;

    /** 物料编码 */
    @Excel(name = "物料编码")
    @TableField("goodsId")
    private String goodsid;

    /** 物料描述 */
    @Excel(name = "物料描述")
    @TableField("goodsName")
    private String goodsname;

    /** 批次号 */
    @Excel(name = "批次号")
    @TableField("productlotId")
    private String productlotid;

    /** 托盘号 */
    @Excel(name = "托盘号")
    @TableField("ctl")
    private String ctl;

    /** 货位 */
    @Excel(name = "货位")
    @TableField("location")
    private String location;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("productionDate")
    private Date productiondate;

    /** 有效日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("expirationDate")
    private Date expirationdate;

    /** 延期日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "延期日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("delayDate")
    private Date delaydate;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @TableField("createTime")
    private Date createTime;

    /** 数量 */
    @Excel(name = "数量")
    @TableField("shelfNum")
    private String shelfnum;

    /** 操作人员 */
    @Excel(name = "操作人员")
    @TableField("userName")
    private String username;

    /** 图片 */
    @Excel(name = "图片")
    @TableField("image")
    private String image;

    /** EBS同步 */
    @Excel(name = "EBS同步")
    @TableField("ebs")
    private String ebs;

    /** 状态 */
    @Excel(name = "状态")
    @TableField("status")
    private String status;

    public void setReturngoodsid(String returngoodsid) 
    {
        this.returngoodsid = returngoodsid;
    }

    public String getReturngoodsid() 
    {
        return returngoodsid;
    }
    public void setGoodsid(String goodsid) 
    {
        this.goodsid = goodsid;
    }

    public String getGoodsid() 
    {
        return goodsid;
    }
    public void setGoodsname(String goodsname) 
    {
        this.goodsname = goodsname;
    }

    public String getGoodsname() 
    {
        return goodsname;
    }
    public void setProductlotid(String productlotid) 
    {
        this.productlotid = productlotid;
    }

    public String getProductlotid() 
    {
        return productlotid;
    }
    public void setCtl(String ctl) 
    {
        this.ctl = ctl;
    }

    public String getCtl() 
    {
        return ctl;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setProductiondate(Date productiondate) 
    {
        this.productiondate = productiondate;
    }

    public Date getProductiondate() 
    {
        return productiondate;
    }
    public void setExpirationdate(Date expirationdate) 
    {
        this.expirationdate = expirationdate;
    }

    public Date getExpirationdate() 
    {
        return expirationdate;
    }
    public void setDelaydate(Date delaydate) 
    {
        this.delaydate = delaydate;
    }

    public Date getDelaydate() 
    {
        return delaydate;
    }
    public void setCreateTime(Date createTime)
    {
        this.createTime = createTime;
    }

    public Date getCreateTime()
    {
        return createTime;
    }
    public void setShelfnum(String shelfnum) 
    {
        this.shelfnum = shelfnum;
    }

    public String getShelfnum() 
    {
        return shelfnum;
    }
    public void setUsername(String username) 
    {
        this.username = username;
    }

    public String getUsername() 
    {
        return username;
    }
    public void setImage(String image) 
    {
        this.image = image;
    }

    public String getImage() 
    {
        return image;
    }
    public void setEbs(String ebs) 
    {
        this.ebs = ebs;
    }

    public String getEbs() 
    {
        return ebs;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("returngoodsid", getReturngoodsid())
            .append("goodsid", getGoodsid())
            .append("goodsname", getGoodsname())
            .append("productlotid", getProductlotid())
            .append("ctl", getCtl())
            .append("location", getLocation())
            .append("productiondate", getProductiondate())
            .append("expirationdate", getExpirationdate())
            .append("delaydate", getDelaydate())
            .append("createTime", getCreateTime())
            .append("shelfnum", getShelfnum())
            .append("username", getUsername())
            .append("image", getImage())
            .append("ebs", getEbs())
            .append("status", getStatus())
            .toString();
    }
}
